Bug 121635 - mail/ezmlm-idx MySQL support broken
mail/ezmlm-idx MySQL support broken
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: glarkin
Depends on:
  Show dependency treegraph
Reported: 2008-03-12 06:40 UTC by paul
Modified: 2008-08-07 19:00 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description paul 2008-03-12 06:40:00 UTC
Build of ezmlm-idx with MySQL extensions fails to compile.

logmsg.c: In function 'logmsg':
logmsg.c:52: warning: return discards qualifiers from pointer target type
./compile subscribe.c `head -1 conf-sqlcc`
In file included from subscribe.c:17:
log.h:4: warning: conflicting types for built-in function 'log'
./compile opensql.c `head -1 conf-sqlcc`
opensql.c: In function 'opensql':
opensql.c:95: error: lvalue required as left operand of assignment
opensql.c:99: warning: return discards qualifiers from pointer target type
*** Error code 1

Stop in /usr/ports/mail/ezmlm-idx/work/ezmlm-0.53.


Fix that was applied to Gentoo last year appears to solve problem.  See https://bugs.gentoo.org/show_bug.cgi?id=152503 for further detail.

Specifically changing line 95 of opensql.c from:

if (!((MYSQL *)psql = mysql_init((MYSQL *) 0)))


if (!(psql = (void *)mysql_init((MYSQL *) 0)))
How-To-Repeat: cd /usr/ports/mail/ezmlm-idx
Comment 1 Edwin Groothuis freebsd_committer 2008-03-12 10:07:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sergei

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Mark Linimon freebsd_committer 2008-07-27 06:58:37 UTC
Responsible Changed
From-To: sergei->freebsd-ports-bugs

Maintainer was reset.
Comment 3 glarkin freebsd_committer 2008-08-07 16:29:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glarkin

I'll take it.
Comment 4 dfilter freebsd_committer 2008-08-07 18:56:45 UTC
glarkin     2008-08-07 17:56:37 UTC

  FreeBSD ports repository

  Modified files:
    mail/ezmlm-idx       Makefile distinfo pkg-descr 
  Added files:
    mail/ezmlm-idx/files pkg-message.in 
  Removed files:
    mail/ezmlm-idx       pkg-message 
  - Take maintainership
  - Upgrade to 0.444 (PR is now moot due to upstream fix)
  - Stylistic fixes to Makefile
  - Remove djb-related RESTRICTED (see http://cr.yp.to/distributors.html)
  PR:             ports/121635
  Submitted By:   Paul Reece <paul@fastlane.net.au>
  Approved By:    beech (mentor, implicit)
  Revision  Changes    Path
  1.33      +24 -24    ports/mail/ezmlm-idx/Makefile
  1.8       +3 -6      ports/mail/ezmlm-idx/distinfo
  1.1       +14 -0     ports/mail/ezmlm-idx/files/pkg-message.in (new)
  1.6       +3 -6      ports/mail/ezmlm-idx/pkg-descr
  1.3       +0 -12     ports/mail/ezmlm-idx/pkg-message (dead)
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 glarkin freebsd_committer 2008-08-07 18:56:56 UTC
State Changed
From-To: open->closed

The port has been upgraded to 0.444, and that fixed the bug reported 
in the PR. Thank you!